package de.intevation.flys.utils;

import java.util.Random;

import gnu.trove.TDoubleArrayList;

public class DataUtil
{
    public static boolean guessWaterIncreasing(TDoubleArrayList data) {
        return guessWaterIncreasing(data, 0.05f);
    }

    public static boolean guessWaterIncreasing(TDoubleArrayList data, float factor) {
        int N = data.size();
        if (N < 2) return false;
    
        int samples = (int)(factor*N) + 1;
    
        int up = 0;
    
        Random rand = new Random();
    
        for (int i = 0; i < samples; ++i) {
            int    pos2 = rand.nextInt(N-1) + 1;
            int    pos1 = rand.nextInt(pos2);
            double w1   = data.getQuick(pos1);
            double w2   = data.getQuick(pos2);
            if (w2 > w1) ++up;
        }
    
        return up > samples/2;
    }
}
